Subject: bug#13578: [IMPORTANT] A new versioning scheme for automake releases, and a new branching scheme for the Git repository

From: Stefano Lattarini <[email-masked]>
Date: Tue, 29 Jan 2013 19:44:48 +0100

On 01/29/2013 08:09 AM, Thien-Thi Nguyen wrote:
> () Stefano Lattarini <[email-masked]>
> () Mon, 28 Jan 2013 20:48:59 +0100
> 
>    So I propose the following change in the Automake versioning scheme:
>    [...]
> 
> Sounds good.  Going further, you could maybe define notation (described
> in HACKING) for categories of changes (backward-{in}compatible, etc)
>
Fully agreed; and abridged version of this proposal is to land in HACKING
soon(ish).

> and methodically use them in the ChangeLog entries.
>
This would be overkill IMVHO.

> This would be both informative to the user, and helpful to prevent
> mistakes (by casual contributors :-D).
> 
>    I also propose the following change to the branching scheme currently
>    implemented in the Automake Git repository:
>    [...]
> 
> These details should also be explained in HACKING.
>
Again, +1

>    to publicize the new versioning scheme
> 
>      - ??? (suggestions welcome)
> 
> Maybe cut a release that changes only the version number?
>
> Personally I would find that to be not particularly useful, but others might
> welcome the explicitness.
>
Sounds overkill, and some people might even be annoyed by this ("you made
me upgrade my installation only to bump the version number ?!?").  I'd
rather avoid that.

Let's hope a clear NEWS entry in 1.13.2 will be enough to catch the eyes
of enough people.

Thanks,
  Stefano